# stg-sink(1) Manual Page

## NAME

stg-sink - Move patches deeper in the stack

## SYNOPSIS

    stg sink [OPTIONS] [patch]…

## DESCRIPTION

Move the specified patches down the stack.

If no patch is specified on the command line, the current (topmost) patch is sunk. By default, patches are sunk to the bottom of the stack, but the --above or --below (alias --to) options may be used to place them above or below any applied patch.

Internally, sinking involves popping all patches to the bottom (or to the target patch if --above or --below is used), then pushing the patches to sink, and then, unless --nopush is specified, pushing back any other formerly applied patches.

Sinking may be useful, for example, to group stable patches at the bottom of the stack where they less likely to be impacted by the push of another patch, and from where they can be more easily committed or pushed to another repository.

## OPTIONS

-n
--nopush

  Do not push any formerly applied patches after sinking. Only the patches to sink are pushed.

-t <target>
--below=<target>
--to=<target>

  Sink patches below <target> patch.

  Specified patches are placed below <target> instead of at the bottom of the stack.

-T <target>
--above=<target>

  Sink patches above <target> patch.

  Specified patches are placed above <target> instead of at the bottom of the stack.

-k
--keep

  Keep the local changes

--committer-date-is-author-date

  Instead of using the current time as the committer date, use the author date of the commit as the committer date.

## StGit

Part of the StGit suite - see stg(1)